Bug 222431 - security/tor: Upgrade to 3.1
Summary: security/tor: Upgrade to 3.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-18 19:01 UTC by Bernard Spil
Modified: 2017-10-01 20:22 UTC (History)
3 users (show)

See Also:
pi: maintainer-feedback+


Attachments
svn diff for security/tor (3.54 KB, patch)
2017-09-18 19:01 UTC, Bernard Spil
no flags Details | Diff
patch (2.49 KB, patch)
2017-09-18 19:41 UTC, Yuri Victorovich
yuri: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2017-09-18 19:01:30 UTC
Created attachment 186516 [details]
svn diff for security/tor

```
security/tor: Upgrade to 3.1.7

 - Adds Lzma and Zstd compression
 - Rework some options to options_ng

PR: 
Approved by: (maintainer)
```

Haven't built static, assuming zstd and lzma options break it and may require a ZSTD_PREVENTS= TOR_STATIC
Comment 1 Yuri Victorovich freebsd_committer 2017-09-18 19:40:45 UTC
Bernard,

Thanks for your patch.

The new compression options are in security/tor-devel for a while. I prefer to keep tor and tor-devel in sync as much as possible. The only deviate when some new options appear in -devel, and then get close again when they are migrated into the release.

I am attaching the patch.

It builds with compression options, static option, doc/manual options on and off.

It passes poudriere on 11.1 amd64 and 10.3 i386.
Comment 2 Yuri Victorovich freebsd_committer 2017-09-18 19:41:05 UTC
Created attachment 186518 [details]
patch
Comment 3 Yuri Victorovich freebsd_committer 2017-09-18 19:58:07 UTC
see also bug#222432
Comment 4 Bernard Spil freebsd_committer 2017-09-22 11:29:08 UTC
Hi Yuri,

I've been running 3.1.7 for a while but it has crashed multiple times.

Sep 22 11:58:08.000 [notice] Removed 528 bytes by killing 1 circuits; 0 circuits remain alive. Also killed 0 non-linked directory connections.
Sep 22 11:58:09.000 [notice] We're low on memory.  Killing circuits with over-long queues. (This behavior is controlled by MaxMemInQueues.)
Comment 5 Yuri Victorovich freebsd_committer 2017-09-23 02:11:06 UTC
(In reply to Bernard Spil from comment #4)

Bernard,

I can't reproduce the problem that you are seeing.

But you should report it upstream as a bug.


Yuri
Comment 6 commit-hook freebsd_committer 2017-10-01 20:19:56 UTC
A commit references this bug:

Author: pi
Date: Sun Oct  1 20:19:50 UTC 2017
New revision: 451058
URL: https://svnweb.freebsd.org/changeset/ports/451058

Log:
  security/tor: update 0.3.0.10 -> 0.3.1.7

  - Adds Lzma and Zstd compression
  - Rework some options to options_ng

  PR:		222431
  Submitted by:	brnrd, Yuri Victorovich <yuri@rawbw.com> (maintainer)

Changes:
  head/security/tor/Makefile
  head/security/tor/distinfo
Comment 7 Kurt Jaeger freebsd_committer 2017-10-01 20:22:35 UTC
Committed, thanks!